Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation.transaction
Class Native

    java.lang.Object
      org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
          org.deegree.ogcwebservices.wfs.operation.transaction.Native

    public class Native

extends TransactionOperation

Represents a `Native` operation as a part of a `Transaction` request.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh , Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`Native(String handle, Element vendorSpecificData, String vendorId, boolean safeToIgnore)` Creates a new `Native` instance.

Method Summary
`List<QualifiedName>` | `getAffectedFeatureTypes()` Returns the names of the feature types that are affected by the operation.
`String` | `getVendorId()` Returns the vendor identifier.
`Element` | `getVendorSpecificData()` Returns the vendor specific data that describes the operation to be performed.
`boolean` | `isSafeToIgnore()` Returns whether the surrounding transaction request must fail if the operation can not be executed.

Methods inherited from class org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
`getHandle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Native

    public Native(String handle,
                  Element vendorSpecificData,
                  String vendorId,
                  boolean safeToIgnore)

  Creates a new `Native` instance.

  Parameters:
    `handle` - optional identifier for the operation (for error messsages)
    `vendorSpecificData` - vendor specific information (as a DOM element)
    `vendorId` - vendor identifier
    `safeToIgnore` - true, if the operation may be ignored without problems, false if the surrounding request depends on it (and must fail if the native operation cannot be executed)

Method Detail

### getVendorSpecificData

    public Element getVendorSpecificData()

  Returns the vendor specific data that describes the operation to be performed.

  Returns:
    the vendor specific data that describes the operation to be performed.

### getVendorId

    public String getVendorId()

  Returns the vendor identifier.

  Returns:
    the vendor identifier.

### isSafeToIgnore

    public boolean isSafeToIgnore()

  Returns whether the surrounding transaction request must fail if the operation can not be executed.

  Returns:
    true, if the operation may be ignored safely, false otherwise.

### getAffectedFeatureTypes

    public List<QualifiedName> getAffectedFeatureTypes()

  Returns the names of the feature types that are affected by the operation.

  Specified by:
    `getAffectedFeatureTypes` in class `TransactionOperation`
  Returns:
    the names of the affected feature types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org